compiler le driver nvidia proprio avec un kernel 2.6.33-rc

Le
giggz
Bonjour,

je n'arrive pas à compiler le driver nvidia proprio à partir du run
(190.53) avec un kernel 2.6.33-rc. Pas de pb avec les noyau jusqu'à
2.6.32 mais ensuite j'ai un message d'erreur comme quoi il ne trouve pas
la version du noyau dans les sources. J'indique les sources avec
--kernel-source-path.

Avez vous une idée ? rencontrez vous aussi ce problème avec un 2.6.33-rc
et le driver nvidia ?

Merci d'avance
GiGGz

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean-Yves F. Barbier
Le #21033581
giggz a écrit :
je n'arrive pas à compiler le driver nvidia proprio à partir du run
(190.53) avec un kernel 2.6.33-rc. Pas de pb avec les noyau jusqu'à
2.6.32 mais ensuite j'ai un message d'erreur comme quoi il ne trouve pas
la version du noyau dans les sources. J'indique les sources avec
--kernel-source-path.

Avez vous une idée ? rencontrez vous aussi ce problème avec un 2.6.33-rc
et le driver nvidia ?



le kernel évoluant, certaines primitives apparaissent ou disparaissent;
par ex. je viens de compiler un 2.6.32.4 et le drv de nvidia (site pas
debian / pour une geforce3) me crachait une erreur à cause d'un symbole
manquant; la version suivante a bien compilée.

par conséquent, il-y-a des chances qu'il te faille attendre que la
version nvidia suivante soit sortie (mais l'installer nvidia est
souvent plus à jour que le package debian)

--
Obviously the only rational solution to your problem is suicide.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
François Boisson
Le #21034191
Le Sat, 23 Jan 2010 12:24:49 +0100
giggz
Bonjour,

je n'arrive pas à compiler le driver nvidia proprio à partir du run
(190.53) avec un kernel 2.6.33-rc. Pas de pb avec les noyau jusqu'à
2.6.32 mais ensuite j'ai un message d'erreur comme quoi il ne trouve pas
la version du noyau dans les sources. J'indique les sources avec
--kernel-source-path.

Avez vous une idée ? rencontrez vous aussi ce problème avec un 2.6.33-rc
et le driver nvidia ?



Pas eu de problèmes jusqu'à 2.6.32, n Lexplication de Jean Yves est la bonne?.
Par contre tu peux faire ça à la debian via module assistant avec les paquets
adequats que tu trouveras sur

http://boisson.homeip.net/debian/Nvidia

François Boisson

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
David Prévot
Le #21034171
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 23/01/2010 11:16, François Boisson wrote:

Par contre tu peux faire ça à la debian via module assistant avec les paquets
adequats que tu trouveras sur

http://boisson.homeip.net/debian/Nvidia



190.53 vient d'atteindre Sid :

http://www.khensu.org/index.php?itemid$4

Amicalement

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktbFUoACgkQ18/WetbTC/o1CgCcCKNE7nGLT2U4PbEpf6NIUUu1
aVAAoI7NT0nT8xYkwgV/u/v4xogl/eCR
=vBFm
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Jean-Yves F. Barbier
Le #21034181
François Boisson a écrit :
...
Par contre tu peux faire ça à la debian via module assistant avec les paquets
adequats que tu trouveras sur

http://boisson.homeip.net/debian/Nvidia



le packageur fou a encore frappé :D

--
If you don't have time to do it right, where are you going to find the time
to do it over?

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
giggz
Le #21034271
François Boisson a écrit :
Le Sat, 23 Jan 2010 12:24:49 +0100
giggz
Bonjour,

je n'arrive pas à compiler le driver nvidia proprio à partir du run
(190.53) avec un kernel 2.6.33-rc. Pas de pb avec les noyau jusqu'à
2.6.32 mais ensuite j'ai un message d'erreur comme quoi il ne trouve pas
la version du noyau dans les sources. J'indique les sources avec
--kernel-source-path.

Avez vous une idée ? rencontrez vous aussi ce problème avec un 2.6.33-rc
et le driver nvidia ?



Pas eu de problèmes jusqu'à 2.6.32, n Lexplication de Jean Yves est la bonne?.



je n'ai aucun problème avec le 2.6.32...juste à partir du 2.6.33rc. et
j'ai aussi des problèmes avec ce même noyau et le kernel-package de
lenny. il plante à la compilation pour une histoire de version
aussi...je suis obligé d'utiliser le kernel-package d'unstable.

Par contre tu peux faire ça à la debian via module assistant avec les paquets
adequats que tu trouveras sur

http://boisson.homeip.net/debian/Nvidia




je vais regarder ça. Quelles sont les étapes ? corriges moi si je me
trompe :
- ./NVIDIA.run --uninstall
- mettre dans sources.list ton dépot et configurer la chose
- installer : nvidia-glx (le dev est aussi nécessaire ?); le
nvidia-kernel-source
- m-a a-i nvidia-kernel (faut il faire m-a prepare/update ?)

c'est tout ?

Sinon : est ce que tu mets ton dépot à jour ? où c'est jsute exceptionnel ?

Merci d'avance
Guillaume

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
giggzounet
Le #21102671
giggz a écrit :
Bonjour,

je n'arrive pas à compiler le driver nvidia proprio à partir du run
(190.53) avec un kernel 2.6.33-rc. Pas de pb avec les noyau jusqu'à
2.6.32 mais ensuite j'ai un message d'erreur comme quoi il ne trouve pas
la version du noyau dans les sources. J'indique les sources avec
--kernel-source-path.

Avez vous une idée ? rencontrez vous aussi ce problème avec un 2.6.33-rc
et le driver nvidia ?

Merci d'avance
GiGGz




le patch pour compiler les driver nvidia avec un 2.6.33 est là :
http://www.nvnews.net/vbulletin/showthread.php?t2794

bonne journée
Guillaume

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme